Loading...
Searching...
No Matches
Dune::Amg::Aggregator< G > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Class for building the aggregates. More...

`#include <dune/istl/paamg/aggregates.hh>`

## Public Types

typedef G | MatrixGraph
| The matrix graph type used.
typedef MatrixGraph::VertexDescriptor | Vertex
| The vertex identifier.
typedef MatrixGraph::VertexDescriptor | AggregateDescriptor
| The type of the aggregate descriptor.

## Public Member Functions

| Aggregator ()
| Constructor.
| ~Aggregator ()
| Destructor.
template<class M, class C>
std::tuple< int, int, int, int > | build (const M &m, G &graph, AggregatesMap< Vertex > &aggregates, const C &c, bool finestLevel)
| Build the aggregates.

## Friends

class | Stack

## Detailed Description

template<class G>
class Dune::Amg::Aggregator< G >

Class for building the aggregates.

The documentation for this class was generated from the following file:

- aggregates.hh